Package com.orbbec.obsensor

## Enum PropertyType

- java.lang.Object
- - java.lang.Enum<PropertyType>
  - - com.orbbec.obsensor.PropertyType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<PropertyType>`

    public enum PropertyType
    extends java.lang.Enum<PropertyType>

Property Type Description

### Enum Constant Summary

Enum Constants
`BOOL_PROPERTY` property of boolean data
`FLOAT_PROPERTY` property of float data
`INT_PROPERTY` property of int data
`STRUCT_PROPERTY` Properties corresponding to the underlying structure type data

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PropertyType` `get​(int value)` Get the property value type enumeration corresponding to the specified index
`int` `value()` Get the index value corresponding to a specific property enumeration
`static PropertyType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PropertyType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BOOL_PROPERTY

    public static final PropertyType BOOL_PROPERTY

property of boolean data

#### INT_PROPERTY

    public static final PropertyType INT_PROPERTY

property of int data

#### FLOAT_PROPERTY

    public static final PropertyType FLOAT_PROPERTY

property of float data

#### STRUCT_PROPERTY

    public static final PropertyType STRUCT_PROPERTY

Properties corresponding to the underlying structure type data

### Method Detail

#### values

    public static PropertyType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PropertyType c : PropertyType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PropertyType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index value corresponding to a specific property enumeration

Returns:
  index value

#### get

    public static PropertyType get​(int value)

Get the property value type enumeration corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  property enumeration